

/* Un media queries, para cuando la pantalla sea mas pequena, se acomoden las tarjetas*/
@media (max-width: 600px) {
    .proyectos-tarjetas {
        flex-direction: column;
    }
}

/* para controlar el ancho maximo de la pagina */
.container {
    max-width: 800px;
    margin: 0 auto;
    padding: 0 20px;
}

h1 {
    color: #00BFFF ;
    text-align: center;
}
h2{
    color: #58A6FF;
    text-align: center;
}
h3{
    color: #647b96;
}

/* encabezado */
header{
    background-color: #161B22;
    padding: 16px;
    border-radius: 4px;
    /*text-align: right;*/
    border: 2px ridge #2d5787;
    width: 100%;
    box-sizing: border-box;
 
}
/* Estilo y funte general*/
body{
    background-color:#0D1117;
    color : #e7e7e7;
    font-family: "Inter", sans-serif;
}

a {
    color: #e7e7e7;
    
}
/*Para dale ese efecto de color azul, cuando se pase por encime del link*/
a:hover{
    color: #00BFFF;
}
/* Para darle estilo y forma a la foto de perfil*/
 img {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    object-fit: cover;
    border: 4px solid #2d5787;
    display: block;
    margin: 0 auto;
    
}
/*para darle estilo a las tarjetas de contacto y sobre mi */
.card-section { 
    background-color: #161B22;
    padding: 20px;
    margin: 20px 0;
    border-radius: 12px;
    border: 2px ridge #2d5787;
    transition: transform 0.3s ease;
    
}
.card-section:hover{
    transform: translateY(-5px)
} 
/* para darle estilo al pie de pagina */
footer {
    background-color: #161B22;
    padding: 12px;
    color: #bbbbbb;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
}

nav a {
    padding: 4px 8px;
    text-decoration: none;
    color: #bbbbbb;
}
/*El contenedor que contiene las tarjetas de los proyectos*/
.proyectos-tarjetas {
    display: flex;
    gap: 16px; /* para dar espacio entre las tarjetas*/
    flex-wrap: wrap;
}
/* cada tarjeta individual*/
.card {
    background-color: #161B22;
    padding: 20px;
    border-radius: 12px;
    border: 2px ridge #2d5787;
    flex: 1 1 220px;
    min-width: 220px;
    transition: transform 0.3s ease;
}

.card:hover {
    transform: translateY(-5px);
}

.logo{
    height: 40px;
    width: auto;
    border: 2px ridge #2d5787;
    display: inline;
    margin:  0;
    
}
nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}
